<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getOperationNames](./bitburner.bladeburner.getoperationnames.md)

## Bladeburner.getOperationNames() method

List all operations.

**Signature:**

```typescript
getOperationNames(): BladeburnerOperationName[];
```
**Returns:**

[BladeburnerOperationName](./bitburner.bladeburneroperationname.md)<!-- -->\[\]

Array of strings containing the names of all Bladeburner operations.

## Remarks

RAM cost: 0 GB

Returns an array of strings containing the names of all Bladeburner operations.

